Bug 160766

Summary: Update port: multimedia/cx88 to 1.4.0
Product: Ports & Packages Reporter: jason.harmening
Component: Individual Port(s)Assignee: Beech Rintoul <beech>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description jason.harmening 2011-09-16 16:20:05 UTC
--Add Linux DVB compatibility to capture app
--Fix driver load failure when built w/ clang
--Fix simultaneous captures w/ MSIs enabled

Fix: Patch attached with submission follows:
Comment 1 Beech Rintoul freebsd_committer 2011-09-17 21:15:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Beech Rintoul freebsd_committer 2011-09-17 21:52:55 UTC
Port fails tinderbox:

http://www.maximumdata.biz/tb/errors/9.0-FreeBSD/cx88-1.4.0.log


Beech
-- 
---------------------------------------------------------------------------------------
Beech Rintoul - FreeBSD Developer - beech@FreeBSD.org
/"\   ASCII Ribbon Campaign  | FreeBSD Since 4.x
\ / - NO HTML/RTF in e-mail  | http://people.freebsd.org/~beech
 X  - NO Word docs in e-mail | Skype: akbeech
/ \ - http://www.FreeBSD.org/releases/8.2R/announce.html
---------------------------------------------------------------------------------------
Comment 3 Beech Rintoul freebsd_committer 2011-09-17 21:56:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainer feedback
Comment 4 jason.harmening 2011-09-18 00:32:25 UTC
> Port fails tinderbox:
>
> http://www.maximumdata.biz/tb/errors/9.0-FreeBSD/cx88-1.4.0.log
>

Isn't that a problem w/ the ports system on the test machine?
From the logfile:

===>   cx88-1.4.0 depends on file: /usr/local/lib/libezxml.a - found
===>   cx88-1.4.0 depends on package: libtuner>=1.0.7 - found
===>   cx88-1.4.0 depends on package: v4l_compat>=1.0.20100321 - found
===>   cx88-1.4.0 depends on package: cuse4bsd-kmod>=0.1.12 - found
===>   cx88-1.4.0 depends on shared library: tuner.1 - found
===>   cx88-1.4.0 depends on shared library: cuse4bsd.1 - not found
===>    Verifying install for cuse4bsd.1 in /usr/ports/multimedia/cuse4
...
===>  Installing for cuse4bsd-kmod-0.1.16
===>   Generating temporary packing list
===>  Checking if multimedia/cuse4bsd-kmod already installed
===>   cuse4bsd-kmod-0.1.16 is already installed
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of multimedia/cuse4bsd-kmod
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1

Stop in /a/ports/multimedia/cuse4bsd-kmod.
*** Error code 1

Stop in /a/ports/multimedia/cx88.


So the pkgdb is seeing cuse4bsd installed (BUILD_DEPENDS), but not its
library (LIB_DEPENDS)...is there something I need to change on my end
to prevent this?
Comment 5 dfilter service freebsd_committer 2011-09-19 20:32:35 UTC
beech       2011-09-19 19:32:22 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/cx88      Makefile distinfo pkg-descr 
  Removed files:
    multimedia/cx88/files 
                          patch-client-analog-cx88__analog__driver.cpp 
  Log:
  - Update to 1.4.0
  - Add Linux DVB compatibility to capture app
  - Fix driver load failure when built w/ clang
  - Fix simultaneous captures w/ MSIs enabled
  
  PR:             ports/160766
  Submitted by:   Jason Harmening <jason.harmening@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.16      +12 -4     ports/multimedia/cx88/Makefile
  1.9       +2 -2      ports/multimedia/cx88/distinfo
  1.2       +0 -15     ports/multimedia/cx88/files/patch-client-analog-cx88__analog__driver.cpp (dead)
  1.4       +4 -6      ports/multimedia/cx88/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Beech Rintoul freebsd_committer 2011-09-19 20:34:01 UTC
State Changed
From-To: feedback->closed

Committed, Thanks!